---
updatedAt: 2026-02-05T22:47:39.000Z
agentTools:
  projectIndex: https://developers.digitalfemsa.io/llms.txt
---

# Account Status Report

Get an account status report with commission and transaction details for a given month. Supports pagination.

**Endpoint:** `GET /account-status`

**Authorization:**

| Nombre        | Tipo  | Descripción                                                                                                                                                                                              |
| ------------- | ----- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Authorization | Basic | <Anchor label="Se utiliza la auth que maneja OXXO pay." target="_blank" href="https://developers.digitalfemsa.io/update/reference/autenticaci%C3%B3n#/">Se utiliza la auth que maneja OXXO pay.</Anchor> |

**Parameters:**

<Table align={["left","left","left","left","left"]}>
  <thead>
    <tr>
      <th>
        Nombre
      </th>

      <th>
        Obligatorio
      </th>

      <th>
        Tipo
      </th>

      <th>
        Descripción
      </th>

      <th>
        Ejemplo
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        next_page_url
      </td>

      <td>
        No
      </td>

      <td>
        string
      </td>

      <td>
        Pagination cursor returned by the previous response.
      </td>

      <td>
        1a1a1a1a1a1a1a1a1a1a1a1a1a1a1a1a1a1a1
      </td>
    </tr>

    <tr>
      <td>
        size
      </td>

      <td>
        No
      </td>

      <td>
        int
      </td>

      <td>
        Cantidad de registros por página
      </td>

      <td>
        Por defecto es 100.
        Mínimo 1
        Máximo 1000
      </td>
    </tr>

    <tr>
      <td>
        year
      </td>

      <td>
        Sí
      </td>

      <td>
        int
      </td>

      <td>
        Año del reporte
      </td>

      <td>
        2025
      </td>
    </tr>

    <tr>
      <td>
        month
      </td>

      <td>
        Sí
      </td>

      <td>
        int
      </td>

      <td>
        Mes del reporte (1-12)
      </td>

      <td>
        9
      </td>
    </tr>

    <tr>
      <td>
        field
      </td>

      <td>
        No
      </td>

      <td>
        string
      </td>

      <td>
        Campos a filtrar (separados por coma)
      </td>

      <td>
        net,amount
      </td>
    </tr>
  </tbody>
</Table>

**Example request:**

```bash
curl -X GET "https://services.digitalfemsa.io/reports/v1/account-status?year=2025&month=9&size=3&next_page_url=1a1a1a1a1a1a1a1a1a1a1a1a1a1a1a1a1a1a1" \
  -H "Authorization: Bearer <your_api_key>"
```

**Expected response:**

```json
{
    "has_more": false,
    "total": 10,
    "object": "list",
    "data": [
        {
            "amount": 2,
            "charge_id": "68b8808117866d0001234cdb",
            "commission": 0,
            "commission_details": [
                {
                    "amount": 12,
                    "concept": "spei_payment_autofund_capture",
                    "description": "SPEI Payment Autofund Capture Fee"
                },
                {
                    "amount": 1.92,
                    "concept": "spei_payment_autofund_capture_tax",
                    "description": "SPEI Payment Autofund Capture Fee Tax"
                },
                {
                    "amount": -12,
                    "concept": "fee_discount",
                    "description": "Fee Discount"
                },
                {
                    "amount": -1.92,
                    "concept": "fee_discount_tax",
                    "description": "Fee Discount Tax"
                }
            ],
            "company_id": "5f90a9802238c00001234cdb",
            "created_at": 1756921987719,
            "deposit_id": "",
            "invoice_date": "2025-09",
            "net": 2,
            "payment_type": "SpeiPayment",
            "status": "retained",
            "transaction_id": "68b88083133e9100011234cdb",
            "type_transaction": "autofund_capture"
        }
    ]
}
```

## Response Codes

* `200 OK`: Successful request
* `401 Unauthorized`: Invalid or missing authentication token
* `400 Bad Request`: Invalid parameters
* `404 Not Found`: Resource not found
* `500 Internal Server Error`: Server error

## Considerations

* All amounts are in the specified currency (generally MXN)
* Dates are in timestamp format (milliseconds since epoch)
* Reports may be paginated, check the `has_more` field to determine if there are more results
* Sensitive data such as card numbers are masked for security

<br />